Create a new liquidation address for a customer
Create a new liquidation address for a customer. Liquidation addresses allow customers to automatically liquidate cryptocurrency holdings to fiat or other stablecoins based on configured parameters.
Required fields:
- chain: Blockchain network (ethereum, polygon, arbitrum, base)
- currency: Stablecoin currency (usdc, eurc, dai, pyusd, usdt)
- address: Valid blockchain address
At least one destination must be specified:
- external_account_id: External bank account
- prefunded_account_id: Developer’s prefunded account
- bridge_wallet_id: Bridge wallet
- destination_address: Crypto wallet address
Payment Rails: Different payment rails have different requirements:
- ACH: Requires external_account_id, supports destination_ach_reference
- SEPA: Requires external_account_id, supports destination_sepa_reference
- Wire: Requires external_account_id, supports destination_wire_message
- Crypto: Requires destination_address, supports destination_blockchain_memo
Path Parameters
Unique identifier for the customer
"cust_123"
Body
The blockchain chain for the liquidation address
ethereum, solana, polygon, avalanche_c_chain, base, arbitrum, optimism, stellar, tron "ethereum"
The currency for the liquidation address
usdc, eurc, dai, pyusd, usdt "usdc"
The liquidation address on the blockchain
"0x4d0280da2f2fDA5103914bCc5aad114743152A9c"
External bank account to send funds to
42"ext_123"
Developer's prefunded account id
42"pf_acc_123"
Bridge Wallet to send funds to
42"bw_123"
Payment rail for sending funds
ethereum, solana, polygon, avalanche_c_chain, base, arbitrum, optimism, stellar, tron, bridge_wallet, wire, ach, ach_push, ach_same_day, sepa, swift, spei "sepa"
Currency for sending funds
usd, eur, mxn, usdc, eurc, dai, pyusd, usdt "eur"
Message for wire transfers
256"Liquidation payment for customer"
Reference for SEPA transactions
6 - 140"SEPA-REF-123456"
Reference for ACH transactions
10"ACH123"
Crypto wallet address for crypto transfers
"0x1234567890abcdef1234567890abcdef12345678"
Memo for blockchain transactions
"liquidation-memo-123"
Address to return funds on failed transactions (Not supported on Stellar)
"0xabcdefabcdefabcdefabcdefabcdefabcdef"
Custom developer fee percentage (Base 100 percentage: 10.2% = "10.2")
"2.5"
Response
Liquidation address created successfully
Unique identifier for the liquidation address
"la_generated_id_123"
Current state of the liquidation address
"active"
Customer ID this liquidation address belongs to
"cust_123"
Blockchain chain
"ethereum"
Currency
"usdc"
Liquidation address
"0x4d0280da2f2fDA5103914bCc5aad114743152A9c"
Creation timestamp
Last update timestamp
External account ID
Prefunded account ID
Bridge wallet ID
Destination payment rail
Destination currency
Custom developer fee percent
